Nios® V/II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® V/II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
12622 Discussions

Is Linux 2.6 compatable with previous Nios?

Altera_Forum
Honored Contributor II
1,916 Views

Is the Linux 2.6 release compatable with previous versions of Nios? 

 

I have an Excalibur dev kit with Nios 2.0 and I'm looking for an OS. 

 

Is there a previous version of Linux that will work for me, or will the current 2.6 work? 

 

 

 

 

Karl k
0 Kudos
5 Replies
Altera_Forum
Honored Contributor II
1,051 Views

Hello Karl, 

 

The Linux 2.6 release does not contain a port for the Nios. Our "classic" Nios distribution contains a 2.4.17 kernel and supports the older APEX development board. Nios 2.0 is quite old -- the latest "classic" distribution requires Nios 3.2/QuartusII 4.0. 

 

Regards, 

 

Mike Esch 

Microtronix
0 Kudos
Altera_Forum
Honored Contributor II
1,051 Views

Is the older kernel available for free downto, too? I can't seem to find it on the Microtronix or Altera Website. 

 

karl
0 Kudos
Altera_Forum
Honored Contributor II
1,051 Views

Sorry, the older kernel with Nios I support is available in our Linux Developer CD and is not available for download. It is available for purchase at our classic nios products (http://www.microtronix.com/acatalog/classic_nios_products.html) page. 

 

For more information, you should contact sales@microtronix.com.
0 Kudos
Altera_Forum
Honored Contributor II
1,051 Views

Please see the topic entitled: "Linux 2.6 fails / gcc missing / NT not supported?" for updates regarding using Nios II Linux under Windows NT.

0 Kudos
Altera_Forum
Honored Contributor II
1,051 Views

Thanks for your help. http://forum.niosforum.com/work2/style_emoticons/<#EMO_DIR#>/smile.gif  

 

 

Karl
0 Kudos
Reply